#include "Crates.h"

#include "ScoreTable.h"

//----------------------------------------------------------------------------
ScoreTable ScoreTable::sm_instance;


//----------------------------------------------------------------------------
unsigned ScoreTable::getCratePickUp(Crate *crate)
{
    switch (crate->getSize())
    {
    case CrateSurfaces::S_SMALL:
        return 10;
    case CrateSurfaces::S_MEDIUM:
        return 20;
    case CrateSurfaces::S_BIG:
        return 30;
    default:
        return 0;
    }
}

//----------------------------------------------------------------------------
unsigned ScoreTable::getCrateRescued(Crate *crate)
{
    switch (crate->getSize())
    {
    case CrateSurfaces::S_SMALL:
        return 20;
    case CrateSurfaces::S_MEDIUM:
        return 40;
    case CrateSurfaces::S_BIG:
        return 60;
    default:
        return 0;
    }
}

//----------------------------------------------------------------------------
unsigned ScoreTable::getMissileShot()
{
    return 10;
}

//----------------------------------------------------------------------------
unsigned ScoreTable::getSAMBatteryShot()
{
    return 100;
}

//----------------------------------------------------------------------------
unsigned ScoreTable::getTurretShot()
{
    return 50;
}

//----------------------------------------------------------------------------
unsigned ScoreTable::getTankShot()
{
    return 50;
}

//----------------------------------------------------------------------------
unsigned ScoreTable::getSpareFuelStep()
{
    return 1;
}
